clang 8.0.0

Namespaces | Enumerations
SerializedDiagnostics.h File Reference
`#include "llvm/Bitcode/BitCodes.h"`
Include dependency graph for SerializedDiagnostics.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::serialized_diags

## Enumerations
enum | clang::serialized_diags::BlockIDs { clang::serialized_diags::BLOCK_META = llvm::bitc::FIRST_APPLICATION_BLOCKID, clang::serialized_diags::BLOCK_DIAG }
enum | clang::serialized_diags::RecordIDs { clang::serialized_diags::RECORD_VERSION = 1, clang::serialized_diags::RECORD_DIAG, clang::serialized_diags::RECORD_SOURCE_RANGE, clang::serialized_diags::RECORD_DIAG_FLAG, clang::serialized_diags::RECORD_CATEGORY, clang::serialized_diags::RECORD_FILENAME, clang::serialized_diags::RECORD_FIXIT, clang::serialized_diags::RECORD_FIRST = RECORD_VERSION, clang::serialized_diags::RECORD_LAST = RECORD_FIXIT }
enum | clang::serialized_diags::Level { clang::serialized_diags::Ignored = 0, clang::serialized_diags::Note, clang::serialized_diags::Warning, clang::serialized_diags::Error, clang::serialized_diags::Fatal, clang::serialized_diags::Remark }
| A stable version of DiagnosticIDs::Level. More...
enum | { clang::serialized_diags::VersionNumber = 2 }
| The serialized diagnostics version number. More...